Package org.jmock.core

# Interface DynamicMock

All Superinterfaces:
  `Verifiable`

All Known Implementing Classes:
  `AbstractDynamicMock`, `CoreMock`, `Mock`

public interface DynamicMock extends Verifiable

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`addInvokable(Invokable invokable)`
`Class`
`getMockedType()`
`Object`
`proxy()`
`void`
`reset()`
`void`
`setDefaultStub(Stub newDefaultStub)`

### Methods inherited from interface org.jmock.core.Verifiable

`verify`

## Method Details

### getMockedType

Class getMockedType()

### proxy

Object proxy()

### setDefaultStub

void setDefaultStub(Stub newDefaultStub)

### addInvokable

void addInvokable(Invokable invokable)

### reset

void reset()